Package uk.ac.starlink.topcat.doc

## Class SummaryXmlDoclet

- java.lang.Object
- - uk.ac.starlink.ttools.build.MemberDoclet
  - - uk.ac.starlink.ttools.build.XmlDoclet
    - - uk.ac.starlink.topcat.doc.SummaryXmlDoclet

-     public class SummaryXmlDoclet
      extends uk.ac.starlink.ttools.build.XmlDoclet

  Doclet which documents public static members of classes in XML for insertion into the TOPCAT user document. This doclet intentionally only outputs a summary of the available information, to avoid bloat in the user document.

  Optional doclet flags beyond the standard ones are:

  -act
    Write output only for 'activation' classes - as reported by `TopcatJELUtils.getActivationStaticClasses()`.
  -gen
    Write output only for 'general' classes - as reported by `uk.ac.starlink.topcat.TopcatJELUtils.getStaticClasses`.
  -headonly
    Write only the class headers, not information about the methods themselves.
  Since:
    6 Sep 2004
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SummaryXmlDoclet​(com.sun.javadoc.RootDoc root)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `endClass()` |
    `protected void` | `endMember()` |
    `static int` | `optionLength​(java.lang.String option)` | Define permitted command-line flags.
    `void` | `out​(java.lang.String line)` | Outputs a single line of output to the current output stream.
    `protected boolean` | `process()` |
    `static boolean` | `start​(com.sun.javadoc.RootDoc root)` | Begin processing document.
    `protected void` | `startClass​(com.sun.javadoc.ClassDoc clazz)` |
    `protected void` | `startMember​(com.sun.javadoc.MemberDoc mem, java.lang.String memType, java.lang.String memName)` |

    - ### Methods inherited from class uk.ac.starlink.ttools.build.MemberDoclet

      `languageVersion, processClass, processPackage, pWrap, typeString, varargTypeString, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.ttools.build.XmlDoclet

      `doctorText, flush, out, outDescription, outExamples, outItem, outParameters, outReturn`

- - ### Constructor Detail

    - #### SummaryXmlDoclet

          protected SummaryXmlDoclet​(com.sun.javadoc.RootDoc root)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### start

          public static boolean start​(com.sun.javadoc.RootDoc root)
                               throws java.io.IOException

      Begin processing document. This method is part of the Doclet public interface.
      Throws:
        `java.io.IOException`

    - #### optionLength

          public static int optionLength​(java.lang.String option)

      Define permitted command-line flags. This method is part of the Doclet public interface.

    - #### process

          protected boolean process()
                             throws java.io.IOException

      Overrides:
        `process` in class `uk.ac.starlink.ttools.build.MemberDoclet`
      Throws:
        `java.io.IOException`

    - #### startClass

          protected void startClass​(com.sun.javadoc.ClassDoc clazz)
                             throws java.io.IOException

      Overrides:
        `startClass` in class `uk.ac.starlink.ttools.build.XmlDoclet`
      Throws:
        `java.io.IOException`

    - #### endClass

          protected void endClass()
                           throws java.io.IOException

      Overrides:
        `endClass` in class `uk.ac.starlink.ttools.build.XmlDoclet`
      Throws:
        `java.io.IOException`

    - #### startMember

          protected void startMember​(com.sun.javadoc.MemberDoc mem,
                                     java.lang.String memType,
                                     java.lang.String memName)
                              throws java.io.IOException

      Overrides:
        `startMember` in class `uk.ac.starlink.ttools.build.XmlDoclet`
      Throws:
        `java.io.IOException`

    - #### endMember

          protected void endMember()

      Overrides:
        `endMember` in class `uk.ac.starlink.ttools.build.XmlDoclet`

    - #### out

          public void out​(java.lang.String line)
                   throws java.io.IOException

      Outputs a single line of output to the current output stream.
      Overrides:
        `out` in class `uk.ac.starlink.ttools.build.XmlDoclet`
      Parameters:
        `line` - text for output
      Throws:
        `java.io.IOException`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.